Loading...
Searching...
No Matches
casacore::Uniform Class Reference
casa package (libcasa_casa) » BasicMath_module

Uniform distribution. More...

`#include <Random.h>`

## Public Member Functions

| Uniform (RNG *gen, Double low=-1.0, Double high=1.0)
| Construct a random number generator for a uniform distribution.
virtual | ~Uniform ()
| The destructor is trivial.
virtual Double | operator() ()
| Returns a value from the uniform distribution.
Double | low () const
| Functions that allow you to query and change the parameters of the uniform distribution.
void | low (Double x)
Double | high () const
void | high (Double x)
void | range (Double low, Double high)
virtual void | setParameters (const Vector< Double > &parms)
| These function allow you to manipulate the parameters (low & high) described above through the base class.
virtual Vector< Double > | parameters () const
virtual Bool | checkParameters (const Vector< Double > &parms) const
Public Member Functions inherited from casacore::Random
virtual | ~Random ()
| A virtual destructor is needed to ensure that the destructor of derived classes gets used.
RNG * | generator ()
| Functions that allow you to access and change the class that generates the random bits.
void | generator (RNG *p)

## Static Private Member Functions

static Double | calcDelta (Double low, Double high)

## Private Attributes

Double | itsLow
Double | itsHigh
Double | itsDelta

## Additional Inherited Members

Public Types inherited from casacore::Random
enum | Types { BINOMIAL , DISCRETEUNIFORM , ERLANG , GEOMETRIC , HYPERGEOMETRIC , NORMAL , LOGNORMAL , NEGATIVEEXPONENTIAL , POISSON , UNIFORM , WEIBULL , UNKNOWN , NUMBER_TYPES }
| This enumerator lists all the predefined random number distributions. More...
Static Public Member Functions inherited from casacore::Random
static String | asString (Random::Types type)
| Convert the enumerator to a lower-case string.
static Random::Types | asType (const String &str)
| Convert the string to enumerator.
static Random * | construct (Random::Types type, RNG *gen)
| Convert the Random::Type enumerator to a specific object (derived from Random but upcast to a Random object).
static Vector< Double > | defaultParameters (Random::Types type)
| returns the default parameters for the specified distribution.
Protected Member Functions inherited from casacore::Random
| Random (RNG *generator)
Protected Attributes inherited from casacore::Random
RNG * | itsRNG

## Detailed Description

Uniform distribution.

### Synopsis

The Uniform class implements a uniform random variable over the copen interval ranging from [low..high). The low parameter is the lowest possible return value and the high parameter can never be returned. The operator() functions returns a value from this distribution.

It is assumed that low limit is less than the high limit and an AipsError exception is thrown if this is not true. The remaining members allow you to read and set the parameters.

### Example

### Thrown Exceptions

- AipsError: if bad values for the arguments are given, as specified above.

### To Do

- Nothing I hope!

Definition at line 1271 of file Random.h.

## Constructor & Destructor Documentation

## Uniform()

casacore::Uniform::Uniform | ( | RNG * | gen,
|  | Double | low = -1.0,
|  | Double | high = 1.0 )

Construct a random number generator for a uniform distribution.

The first argument is a class that produces random bits. This pointer is NOT taken over by this class and the user is responsible for deleting it. The remaining arguments define the parameters for this distribution as described in the synopsis.

References high(), and low().

## ~Uniform()

virtual casacore::Uniform::~Uniform | ( |  | ) |

virtual

The destructor is trivial.

## Member Function Documentation

## calcDelta()

Double casacore::Uniform::calcDelta | ( | Double | low,
|  | Double | high )

static private

References high(), and low().

## checkParameters()

virtual Bool casacore::Uniform::checkParameters | ( | const Vector< Double > & | parms | ) | const

virtual

Implements casacore::Random.

## high() [1/2]

Double casacore::Uniform::high | ( |  | ) | const

inline

Definition at line 1316 of file Random.h.

References itsHigh.

Referenced by calcDelta(), range(), and Uniform().

## high() [2/2]

void casacore::Uniform::high | ( | Double | x | ) |

## low() [1/2]

Double casacore::Uniform::low | ( |  | ) | const

inline

Functions that allow you to query and change the parameters of the uniform distribution.

Definition at line 1312 of file Random.h.

References itsLow.

Referenced by calcDelta(), range(), and Uniform().

## low() [2/2]

void casacore::Uniform::low | ( | Double | x | ) |

## operator()()

virtual Double casacore::Uniform::operator() | ( |  | ) |

virtual

Returns a value from the uniform distribution.

Implements casacore::Random.

## parameters()

virtual Vector< Double > casacore::Uniform::parameters | ( |  | ) | const

virtual

Implements casacore::Random.

## range()

void casacore::Uniform::range | ( | Double | low,
|  | Double | high )

References high(), and low().

## setParameters()

virtual void casacore::Uniform::setParameters | ( | const Vector< Double > & | parms | ) |

virtual

These function allow you to manipulate the parameters (low & high) described above through the base class.

The Vectors must always be of length two.

Implements casacore::Random.

## Member Data Documentation

## itsDelta

Double casacore::Uniform::itsDelta

private

Definition at line 1309 of file Random.h.

## itsHigh

Double casacore::Uniform::itsHigh

private

Definition at line 1308 of file Random.h.

Referenced by high().

## itsLow

Double casacore::Uniform::itsLow

private

Definition at line 1307 of file Random.h.

Referenced by low().

The documentation for this class was generated from the following file:

- casa/BasicMath/Random.h